Subject: bug#21934: 24.5; find-tag: reading TAGS file incorrectly

From: Andreas Matthias <[email-masked]>
Date: Sun, 22 Nov 2015 19:27:35 +0100

Eli Zaretskii wrote:

>> Cc: [email-masked], [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>> Date: Sun, 22 Nov 2015 19:43:48 +0200
>> 
>> On 11/22/2015 07:38 PM, Eli Zaretskii wrote:
>> 
>> > If that's the conclusion, I think I can make etags do that for Lua.
>> >
>> > Should that be done for tokens that include '.' and ':'?
>> 
>> I think so.
>> 
>> > Can there be
>> > more than one of these in a token, and if so, what should etags do?
>> > IOW, if we have foo.bar.baz or foo:bar.baz etc., what should be the
>> > result?
>> 
>> Just two, I think. foo.bar is not a function, and bar.baz probably won't 
>> be a "symbol at point".
>
> Sorry, I'm not sure I understand: does Lua allow syntax such as above,
> or doesn't it?  If it allows that, then what is the meaning of those?
> Can a table has a function that is also a table?  (Apologies if I'm
> talking nonsense.)

Yes, it's valid Lua. You can stick one table into an element of another table.

E.g.: foo.bar.baz

This is table `foo' which has got an element called `bar'; and `bar'
happens to be a table, which has got an element `baz'.

E.g.: foo:bar.baz

A class `foo' with a table `bar' containing an element called `baz'